7 Jan #1

Pulled from errorlog

Ultimate subscriber
Hi Shade, I was looking through my errorlog and I found quite a few of these errors listed:

[13-Dec-2019 1921 UTC] PHP Fatal error: Uncaught Error: Class 'BankPipe\Helper\Permissions' not found in /home/xxxxxxxx/public_html/inc/plugins/bankpipe.php:948
Stack trace:
/home/xxxxxx/public_html/inc/class_plugins.php(142): bankpipe_header_link('')
#1 /home/xxxxxx/public_html/global.php(497): pluginSystem->run_hooks(Array)
#2 /home/xxxxxx/public_html/showthread.php(28): require_once('/home/xxxxxxxx/...')
#3 {main}
thrown in /home/xxxxxxxx/public_html/inc/plugins/bankpipe.php on line 948


Anything to worry about?
Shade 7 Jan Edited
#2
Seems like you are not using the latest beta 9. It should work anyway, but an update might be necessary before calling it a bug.
RocketFoot 7 Jan
#3
I am running Beta 9 but I did notice that core edits were missing. I applied them just now...would this have anything to do with the errors?
Shade 7 Jan
#4
No, although core edits are important for other stuff. Then you must have edited inc/plugins/bankpipe.php because that line lies somewhere else in the official release.
RocketFoot 7 Jan Edited
#5
Should I try to install Beta 9 again maybe? I don't recall editing the file...
Shade 7 Jan
#6
Well, replacing the files with the stock release ones should suffice.
RocketFoot 7 Jan
#7
Ok, I uploaded all beta 9 files according to the upgrade instructions. I was NOT prompted to run the upgrade script from the plugin ACP page however.
Shade 7 Jan
#8
It's normal if you already had beta 9 installed.